package whatsapp

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/whatsapp"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /whatsapp/create whatsapp CreateWhatsapp
//
// Create whatsapp information | 创建Whatsapp
//
// Create whatsapp information | 创建Whatsapp
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: WhatsappInfo
//
// Responses:
//  200: BaseMsgResp

func CreateWhatsappHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.WhatsappInfo
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := whatsapp.NewCreateWhatsappLogic(r.Context(), svcCtx)
		resp, err := l.CreateWhatsapp(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
